// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package statemachineJava;

/************************************************************/
/**
 * 
 */
public enum SystemStateEnum_t {
	/**
	 * 
	 */
	IDLE,
	/**
	 * 
	 */
	EVENT_PROCESSING,
	/**
	 * 
	 */
	EVENT_DEFERRED,
	/**
	 * 
	 */
	EVENT_CONSUMED;
}
